Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1202337 - Review request: nodejs-github-url-from-username-repo - Create urls from username/repo
Summary: Review request: nodejs-github-url-from-username-repo - Create urls from usern...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2015-03-16 12:43 UTC by Zuzana Svetlikova
Modified: 2015-07-08 17:00 UTC (History)
3 users (show)

Fixed In Version: nodejs-github-url-from-username-repo-1.0.2-3.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:13:35 UTC
piotr1212: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Piotr Popieluch 2015-04-03 21:45:01 UTC
some comments:

- not latest version, please update to latest version if possible, if not please explain why.
- spec in srpm differs from specfile, please rebuild srpm and upload new version
- license incorrect, should just be "BSD", see: https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing for correct license short names.

Comment 3 Piotr Popieluch 2015-06-11 22:26:21 UTC
version/releases seen to be mixed up, fedora-review -b 1202337 fails:
version in specfile is 1.0.0-2 version in srpm is 1.0.2-1

please update Version: and Release: in specfile

Comment 5 Piotr Popieluch 2015-06-12 15:00:19 UTC
Looks good APPROVED, 

you should leave out the rm -rf %{buildroot} in install and clean sections as it is deprecated


[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required

[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in /home/piotr/rpmbuild/1202337-nodejs-github-
     url-from-username-repo/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-github-url-from-username-repo-1.0.2-3.fc23.noarch.rpm
          nodejs-github-url-from-username-repo-1.0.2-3.fc23.src.rpm
nodejs-github-url-from-username-repo.noarch: W: spelling-error Summary(en_US) urls -> curls, purls, hurls
nodejs-github-url-from-username-repo.noarch: W: spelling-error %description -l en_US urls -> curls, purls, hurls
nodejs-github-url-from-username-repo.noarch: W: only-non-binary-in-usr-lib
nodejs-github-url-from-username-repo.src: W: spelling-error Summary(en_US) urls -> curls, purls, hurls
nodejs-github-url-from-username-repo.src: W: spelling-error %description -l en_US urls -> curls, purls, hurls
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
nodejs-github-url-from-username-repo.noarch: W: spelling-error Summary(en_US) urls -> curls, purls, hurls
nodejs-github-url-from-username-repo.noarch: W: spelling-error %description -l en_US urls -> curls, purls, hurls
nodejs-github-url-from-username-repo.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
nodejs-github-url-from-username-repo (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-github-url-from-username-repo:
    nodejs-github-url-from-username-repo
    npm(github-url-from-username-repo)



Source checksums
----------------
http://registry.npmjs.org/github-url-from-username-repo/-/github-url-from-username-repo-1.0.2.tgz :
  CHECKSUM(SHA256) this package     : 96d35014fa73d723d68d14b8935e27b21ff06c812f2049b81f566a262db05653
  CHECKSUM(SHA256) upstream package : 96d35014fa73d723d68d14b8935e27b21ff06c812f2049b81f566a262db05653


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1202337
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 Zuzana Svetlikova 2015-06-17 08:47:57 UTC
New Package SCM Request
=======================
Package Name: nodejs-github-url-from-username-repo
Short Description: Create urls from username/repo
Owners: zvetlik
Branches: f21 f22 el6 epel7

Comment 7 Gwyn Ciesla 2015-06-17 11:08:37 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2015-06-17 12:02:24 UTC
nodejs-github-url-from-username-repo-1.0.2-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/nodejs-github-url-from-username-repo-1.0.2-3.fc22

Comment 9 Fedora Update System 2015-06-17 12:32:21 UTC
nodejs-github-url-from-username-repo-1.0.2-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-github-url-from-username-repo-1.0.2-3.el7

Comment 10 Piotr Popieluch 2015-06-18 21:43:51 UTC
could you remove the rm -rf %{buildroot} in the next release?

Comment 11 Fedora Update System 2015-06-20 21:14:20 UTC
nodejs-github-url-from-username-repo-1.0.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 12 Fedora Update System 2015-06-30 00:13:35 UTC
nodejs-github-url-from-username-repo-1.0.2-3.fc22 has been pushed to the Fedora 22 stable repository.

Comment 13 Fedora Update System 2015-07-08 17:00:35 UTC
nodejs-github-url-from-username-repo-1.0.2-3.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.